Bug 341901 - multiarch conflicts in libapreq2
Summary: multiarch conflicts in libapreq2
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libapreq2   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 21:44 UTC by Bill Nottingham
Modified: 2014-03-17 03:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 22:58:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-10-19 21:44:11 UTC
libapreq2 (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/apreq2-config from install of libapreq2-devel-2.09-0.rc2.7.fc8 conflicts with file from package libapreq2-devel-2.09-0.rc2.7.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Bojan Smojver 2007-10-20 08:37:23 UTC
Yeah, we should probably switch to pkg-config, like Joe did in APR/APU.

Comment 2 Bojan Smojver 2007-10-22 09:53:49 UTC
Hopefully:

http://koji.fedoraproject.org/koji/buildinfo?buildID=21846

Comment 3 Bojan Smojver 2007-10-22 22:58:22 UTC
0.rc2.10.fc9 is going to go into Rawhide, with good enough approximation of the fix.


Note You need to log in before you can comment on or make changes to this bug.